<?php
namespace DaReactions;
use DaReactions\FileSystem;
/**
 *
 */
class Logo {
	public const LOGO_PATH = DA_REACTIONS_URL . 'assets/dist/logo.svg';
	private static $file_content;
	/**
	 * @param string|null $color
	 *
	 * @return string
	 */
	public static function getAsData( string $color = null): string {
        if (is_null($color)) {
            $color = '#FFFFFF';
        }
		$original_image = self::getAsSvg($color);
		return 'data:image/svg+xml;base64,' . base64_encode($original_image);
	}
	/**
	 * @param string|null $color
	 *
	 * @return string
	 */
	public static function getAsSvg( string $color = null): string {
        if (is_null($color)) {
            $color = '#FFFFFF';
        }
		$original_image = self::getFile();
		return str_replace('#006699', $color, $original_image);
	}
	/**
	 * @return false|string
	 */
	public static function getFile() {
		if (!isset(self::$file_content)) {
			self::$file_content = FileSystem::urlGetContents(self::LOGO_PATH);
		}
		return self::$file_content;
	}
}
